Subject: 28.0.50; [feature/pgtk] frame-position returns incorrect information
From: Robert Pluim <[email-masked]>
To: [email-masked]
Date: Mon, 30 Nov 2020 15:33:53 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

This is under Gnome Shell on Debian 10, which I think uses mutter as a
window manager:

./emacs -Q # The frame is near the top-left, I move it to the right bottom quadrant
(pgtk-backend-display-class) => "GdkWaylandDisplay"
(frame-position) => (0 . 0)

GDK_BACKEND=x11 ./emacs -Q
(pgtk-backend-display-class) => "GdkX11Display"
(frame-position) => (0 . 0)

./emacs -Q # emacs master branch
(frame-position) => (2136 . 549)

(also `set-frame-position' doesnʼt work, even though I see it calling
gtk_window_move. I can open a separate report for that)

In GNU Emacs 28.0.50 (build 1, x86_64-pc-linux-gnu, GTK+ Version 3.24.5, cairo version 1.16.0)
 of 2020-11-24 built on rltb
Repository revision: d6ef9af82eafef33e117dd61aa3bd51a2464fcc6
Repository branch: feature/pgtk
Windowing system distributor 'System Description: Debian GNU/Linux 10 (buster)

Configured using:
 'configure --with-pgtk'

Configured features:
JPEG TIFF GIF PNG RSVG CAIRO SOUND GPM DBUS GSETTINGS GLIB NOTIFY
INOTIFY ACL LIBSELINUX GNUTLS LIBXML2 FREETYPE HARFBUZZ LIBOTF ZLIB
TOOLKIT_SCROLL_BARS GTK3 PGTK XIM MODULES THREADS LIBSYSTEMD JSON
PDUMPER LCMS2